<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/cdrs.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-list-alt"></i> Detalle llamadas
                </div>
                <div class="card-block">

                    <div class="input-group form-inline">

                        <span class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${client}" type="text" name="client" id="client" placeholder="Cliente">                                
                        </span>
                        &nbsp;                                                
                        <span class="input-group">
                            <span class="input-group-addon"><i class="fa fa-phone-square"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${origin}" type="text" name="origin" id="origin" placeholder="Linea">
                        </span>
                        &nbsp;                        

                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${from}" type="text" name="from" placeholder="Desde" id="dtp-desde">
                        </div>
                        &nbsp;
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                            <span class="filter-clear fa fa-remove"></span>
                            <input th:value="${to}" type="text" name="to" placeholder="Hasta" id="dtp-hasta">
                        </div>
                        &nbsp;                
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-money"></i>
                            </span>
                            <select id="priced" name="priced">
                                <option value="" th:selected="${priced == null}">Todos</option>
                                <option value="true" th:selected="${priced != null && priced}">Con costo</option>
                                <option value="false" th:selected="${priced != null && !priced}">Sin costo</option>
                            </select>
                        </div>
                        &nbsp;                                        
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-phone"></i>
                            </span>
                            <select id="type" name="type">
                                <option value="" th:selected="${type == null}">Todos</option>
                                <option value="VOZ" th:selected="${type != null && type=='VOZ'}">Llamadas</option>
                                <option value="SMS" th:selected="${type != null && type=='SMS'}">SMS</option>
                                <option value="DAT" th:selected="${type != null && type=='DAT'}">Datos</option>
                            </select>
                        </div>
                        &nbsp;                        
                        <span class="input-group-btn">
                            <button id="search-button" type="button" class="btn btn-primary"><i class="fa fa-search"></i> Buscar</button>
                        </span>
                    </div>


                    <br/>

                    <div class="pre-scrollable">
                        <table class="table table-bordered table-striped table-sm">
                            <thead>
                                <tr class="text-center">
                                    <th>#</th>
                                    <th>Tipo</th>
                                    <th>Cliente</th>
                                    <th>Origen</th>
                                    <th>Destino</th>
                                    <th>Desc</th>
                                    <th>Fecha</th>
                                    <th>Duracion</th>
                                    <th>Datos</th>
                                    <th>Costo</th>
                                </tr>
                            </thead>    
                            <tbody>
                                <tr th:each="item : ${page.content}">                                
                                    <td th:text="${item.id}"></td>
                                    <td th:text="${item.cdrType}"></td>
                                    <td th:text="${item.client}"></td>
                                    <td th:text="${item.origin}"></td>
                                    <td th:text="${item.destination}"></td>
                                    <td th:text="${item.destinationOperator}"></td>
                                    <td th:text="${#dates.format(item.date, 'dd/MM/yyyy')} + ' ' + ${#dates.format(item.time, 'HH:mm:ss')}"></td>
                                    <td th:text="${item.getVoiceText()}"></td>                                
                                    <td th:text="${item.getDataText()}"></td>                                
                                    <td th:text="${item.getPriceText()}"></td>
                                </tr>
                            </tbody>
                        </table>                        
                    </div>

                    <div th:replace="fragments/pagination :: paginationbar"></div>
                    <div th:replace="fragments/cdr-sum :: cdr-sum"></div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>



